package sgc.portal.cs.cs0604.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cs.cs0604.dto.CS06040001USearch;
import sgc.portal.cs.cs0604.service.CS06040001UService;

import java.util.List;

@RestController
@RequestMapping("/cs/cs0604")
public class CS06040001UController {
	
    private final CS06040001UService service;

    public CS06040001UController(CS06040001UService service) {
        this.service = service;
    }

    @PostMapping("/CS06040001U/getList1")
    public List<EasyHashMap<String, Object>> getList1(@RequestBody CS06040001USearch search) {
        return service.getList1(search);
    }
    
    @PostMapping("/CS06040001U/getList2")
    public List<EasyHashMap<String, Object>> getList2(@RequestBody CS06040001USearch search) {
        return service.getList2(search);
    }
    
    @PostMapping("/CS06040001U/getList3")
    public List<EasyHashMap<String, Object>> getList3(@RequestBody CS06040001USearch search) {
        return service.getList3(search);
    }
    
    @PostMapping("/CS06040001U/getList4")
    public List<EasyHashMap<String, Object>> getList4(@RequestBody CS06040001USearch search) {
        return service.getList4(search);
    }
    
}
